## mycompiler.myclass
Class ParameterList

    java.lang.Object
      mycompiler.myclass.ParameterList

    public class ParameterList

extends java.lang.Object

Field Summary
`de.dhbwstuttgart.typeinference.Menge` `formalparameter`
`boolean` `hamaDebug`

Constructor Summary
`ParameterList()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code)`
`java.lang.String` `get_codegen_ParameterList(de.dhbwstuttgart.typeinference.Menge paralist)`
`int` `getParameterCount()` Author: J�rg B�uerle
`de.dhbwstuttgart.typeinference.Menge` `sc_get_Formalparalist()`
`void` `set_AddParameter(FormalParameter fp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hamaDebug

    public boolean hamaDebug

### formalparameter

    public de.dhbwstuttgart.typeinference.Menge formalparameter

Constructor Detail

### ParameterList

    public ParameterList()

Method Detail

### set_AddParameter

    public void set_AddParameter(FormalParameter fp)

### get_codegen_ParameterList

    public java.lang.String get_codegen_ParameterList(de.dhbwstuttgart.typeinference.Menge paralist)

### sc_get_Formalparalist

    public de.dhbwstuttgart.typeinference.Menge sc_get_Formalparalist()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code)

### getParameterCount

    public int getParameterCount()

  Author: J�rg B�uerle

  Returns:
    Die Anzahl der Parameter